@charset "utf-8";

/* =============================================
コラム詳細
============================================= */
.basic-page {
  display: flex;
  gap: 60px;
  max-width: 1240px;
  margin-inline: auto;
}

.column-person {
  display: grid;
  gap: 24px;
  margin-top: 30px;
}
.column-person__box {
  border: 2px solid var(--light-navy);
  border-radius: 16px;
  padding: 24px;
  background: var(--white);
  display: grid;
  gap: 16px;
}
.column-person__box--author {
  background: var(--light-navy);
  border-color: var(--light-navy);
}
.column-person__label {
  --clamp-max: 16;
  --clamp-min: 14;
  font-weight: 700;
  color: var(--navy);
}
.column-person__body {
  display: grid;
  grid-template-columns: 88px 1fr;
  gap: 16px;
  align-items: center;
}
.column-person__avatar {
  width: 88px;
  height: 88px;
  border-radius: 999em;
  background: var(--light-navy);
  overflow: hidden;
  display: grid;
  place-items: center;
}
.column-person__avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.column-person__name {
  --clamp-max: 20;
  --clamp-min: 18;
  font-weight: 700;
  color: var(--navy);
  margin-bottom: 4px;
  display: inline-block;
}
@media (hover: hover) {
  .column-person__name:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
  }
}
.column-person__desc {
  --clamp-max: 16;
  --clamp-min: 14;
  color: var(--navy);
  line-height: 1.7;
}
.column-person__desc a {
  text-decoration: underline;
  text-underline-offset: 4px;
}
@media (hover: hover) {
  .column-person__desc a:hover {
    text-decoration: none;
  }
}
@media screen and (max-width: 767px) {
  .column-person__box {
    padding: 18px;
  }
  .column-person__body {
    grid-template-columns: 64px 1fr;
  }
  .column-person__avatar {
    width: 64px;
    height: 64px;
  }
}

/* =============================================
CTA
============================================= */
.column-cta-wrapper {
  position: sticky;
  top: 100px;
  right: 0;
  display: flex;
  gap: 20px;
  flex-direction: column;
  z-index: 9999;
  height: fit-content;
  max-width: 300px;
}
.column-cta--float {
  border-radius: 8px;
  overflow: hidden;
}
.column-cta--red {
  box-shadow: 0px 4px 14px rgba(255, 44, 85, 0.5);
}
.column-cta--navy {
  box-shadow: 0px 4px 14px rgba(0, 16, 76, 0.5);
}
.column-cta--image {
  box-shadow: 0px 4px 14px rgba(17, 17, 17, 0.2);
}
.column-cta__main {
  background: var(--red);
  color: var(--white);
  font-weight: 900;
  padding: 22px 22px 0;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.3;
  --clamp-max: 20;
  --clamp-min: 14;
}
.column-cta--navy .column-cta__main {
  background: var(--navy);
}
.column-cta__sub {
  --clamp-max: 14;
  --clamp-min: 12;
  padding: 12px 22px 22px;
  display: flex;
  flex-direction: column;
  gap: 14px;
}
.column-cta__subcopy {
  line-height: 1.7;
  color: var(--white);
}
.column-cta__subcopy--sp {
  display: none;
}
.column-cta--red .column-cta__sub {
  background: var(--red);
}
.column-cta--navy .column-cta__sub {
  background: var(--navy);
}
.column-cta__link.column-cta__link {
  padding: 0.5em 1.2em;
  width: 100%;
  box-shadow: none;
  background: var(--white);
}
.column-cta__link.button--red {
  color: var(--red);
}
.column-cta__link.button--navy {
  color: var(--navy);
}
@media screen and (max-width: 767px) {
  .column-cta-wrapper {
    position: fixed;
    top: unset;
    bottom: 0;
    width: 100%;
    max-width: 100%;
    flex-direction: row;
    justify-content: space-evenly;
    transform: translateY(100%);
    transition: transform 0.7s;
    gap: 0;
  }
  .column-cta-wrapper--show {
    transform: translateY(0%);
  }
  .column-cta-wrapper--show-half {
    transform: translateY(calc(100% - var(--cta-main-height, 0px)));
  }
  .column-cta--float.column-cta--float {
    width: 100%;
    display: flex;
    flex-direction: column;
    border-radius: 8px 8px 0 0;
    box-shadow: none;
  }
  .column-cta__main {
    padding: 0.5em;
  }
  .column-cta__sub {
    padding: 0.5em 0.7em 0.7em;
    align-items: center;
    gap: 4px;
  }
  .column-cta--red .column-cta__sub {
    background: var(--light-red);
  }
  .column-cta--navy .column-cta__sub {
    background: var(--light-navy);
  }
  .column-cta__subcopy--pc {
    display: none;
  }
  .column-cta__subcopy--sp {
    display: inline;
    line-height: 1.4;
    color: var(--black);
  }
  .column-cta__link.column-cta__link {
    padding: 0.1em 1.2em;
    width: fit-content;
    min-width: unset;
  }
}
